VelocityReport Plugin - Defect #678

unable to show bar chart
03/28/2013 02:09 PM - Jos de Bruijn

Status: Closed Start date: 03/28/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
i'm trying to show a bar chart, but it does not show up in my report.

This is the (valid) google string | feed the chart script builder:

http://chart.googleapis.com/chart?chx1=0:|jan|feb|mrt&chxr=1,0,40&chxt=x, y&chbh=r&chs=1000x250&cht
=bvg&chco=76A4FB&chds=0,40&chd=t:33, 0, 14&chdlp=b&chg=0,12.5&chm=N, 0000FF, 0,-1,11&chtt=DLT+in+dagen

and this is the code generated:

function getChart (data, labels) {
var eastwood = false;

var chartDef = {};
chartDef.width = 1000;
chartDef.height = 250;

chartDef.title = 'DLT in dagen';
chartDef.legendPosition = 'bottom';
chartDef.xAxis = { labels: ['jan',6 'feb',6 'mrt'] };
chartDef.yAxis = { maxRange: 40.0, minRange: 0.0 };
chartDef.grid = { y: 12.5, line: 3, blank: 6 };
chartDef.barWidth = 0;
chartDef.maxValue = 40.0;
chartDef.bars = [];
chartDef.bars.push( {

data: [33.0,0.0,14.07,

color: ['#76RA4FB'],

markers: [{ text: '', color: '"#000OFF', index: -1 }]

}o)a

return plugins.VelocityReport.getChart (plugins.VelocityReport.CHART.BAR,

lugins.VelocityReport .REPORT.RESOLUTION_LOW) ;
}

eastwood, p

History

#1 - 03/28/2013 02:14 PM - Jos de Bruijn

The problem seems to be in the chartDef.grid line. When | remove that part the chart is correctly generated.

#2 - 03/28/2013 02:58 PM - Patrick Talbot
- Priority changed from High to Normal
Please don't set the priority of tickets to 'High' or be prepared to put an incentive on it...

I'll have a look for sure, but cannot guarantee when.
So if really is a high priority for you, make it one for me as well by clicking on the 'Incentify' link.

Thanks!
#3 - 03/28/2013 03:28 PM - Jos de Bruijn

Sorry about that, | did not know that.

| placed it at high priority because the plugin seemed to fail on a valid google string. This was before | knew the grid option was the cause of the
problem.

#4 - 04/08/2013 05:11 PM - Patrick Talbot

- Status changed from New to Closed

Fixed in v3.1b08 (make sure you update the /plugins/velocity _report/*.jar as well as the plugin jar and jnlp)
